<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Add Device</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form #fadddevice="ngForm" (ngSubmit)="fadddevice.valid && addDevice()" novalidate="novalidate">
  <ion-card>
    <ion-list>
       
      <ion-item>
        <ion-label>Select Category</ion-label>
        <ion-select [(ngModel)]="productModel.category" (ngModelChange)="onCategorySelected()" [interfaceOptions]="customActionSheetOptions" interface="action-sheet" placeholder="Select One" name="category" #category=ngModel required>
          <ion-select-option *ngFor="let category of categories" [value]="category._id">{{category.name}}</ion-select-option>
        </ion-select>
      </ion-item>
    </ion-list>
    <div *ngIf="fadddevice.submitted">
        <div *ngIf="category?.errors?.required">
          Please select category.
        </div>     
     </div>

    <ion-item>
      <ion-label position="fixed">Brand</ion-label>
      <ion-input [(ngModel)]="productModel.brand" name="brand" #brand=ngModel required></ion-input>
    </ion-item>
    <div *ngIf="fadddevice.submitted">
        <div *ngIf="brand?.errors?.required">
          This field is required.
        </div>       
     </div>

    <ion-item>
      <ion-label position="fixed">Model</ion-label>
      <ion-input [(ngModel)]="productModel.model" name="model" #model=ngModel required></ion-input>
    </ion-item>
    <div *ngIf="fadddevice.submitted">
        <div *ngIf="model?.errors?.required">
          This field is required.
        </div>       
     </div>

    <ion-item>
      <ion-label position="fixed">{{dropCategory}}</ion-label>
      <ion-input [(ngModel)]="productModel.serialNumber" name="serialNumber" #serialNumber=ngModel required></ion-input>
    </ion-item>
    <div *ngIf="fadddevice.submitted">
        <div *ngIf="serialNumber?.errors?.required">
          This field is required.
        </div>       
     </div>

     <ion-item>
        <ion-label position="fixed">Invoice Id </ion-label>
        <ion-input [(ngModel)]="productModel.invoiceId" name="invoiceId" #invoiceId=ngModel required></ion-input>
      </ion-item>
      <div *ngIf="fadddevice.submitted">
          <div *ngIf="invoiceId?.errors?.required">
            This field is required.
          </div>       
       </div>

    <ion-item>
      <ion-label position="fixed">Invoice Date</ion-label>
      <ion-datetime display-format="MMM DD, YYYY" [(ngModel)]="productModel.invoiceDate" name="invoiceDate" #invoiceDate=ngModel required></ion-datetime>
    </ion-item>
    <div *ngIf="fadddevice.submitted">
        <div *ngIf="invoiceDate?.errors?.required">
          This field is required.
        </div>       
     </div>
  </ion-card>
 

  <ion-card>
    <ion-card-header>
      <ion-card-title>Add Invoice Photos</ion-card-title>
    </ion-card-header>
    <ion-card-content>
      <ion-button fill="outline" class="uploadPhotoBtn" (click)="openCamera()">
        <ion-icon name="add"></ion-icon>
      </ion-button>
    </ion-card-content>
  </ion-card>

  
  <div class="addBtnContainer">
    <ion-button expand="block" color="primary" type="submit">Add Device</ion-button>
  </div>
</form>

</ion-content>